Skip to main content
GET
/
commerce
/
catalog
/
admin
/
searchmerchandizingrules
/
{code}
Error
A valid request URL is required to generate request examples
{
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "code": "<string>",
  "context": {
    "condition": {
      "fields": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ],
      "terms": [
        "<string>"
      ]
    },
    "endDate": "2023-11-07T05:31:56Z",
    "searchType": 1,
    "startDate": "2023-11-07T05:31:56Z"
  },
  "description": "<string>",
  "isDisabled": true,
  "name": "<string>",
  "ruleImpact": {
    "buriedItems": [
      {
        "isPinned": true,
        "position": 123,
        "productCode": "<string>",
        "sliceValue": "<string>"
      }
    ],
    "excludedItems": [
      {
        "isPinned": true,
        "position": 123,
        "productCode": "<string>",
        "sliceValue": "<string>"
      }
    ],
    "fieldValueBoost": {
      "boostType": 1,
      "fields": [
        {
          "fieldName": "<string>",
          "valueExpressions": [
            {
              "boostNumber": 123,
              "operator": "<string>",
              "value": "<string>"
            }
          ]
        }
      ]
    },
    "filter": {
      "exclusion": "<string>",
      "inclusion": "<string>"
    },
    "rankedItems": [
      {
        "isPinned": true,
        "position": 123,
        "productCode": "<string>",
        "sliceValue": "<string>"
      }
    ],
    "sortFields": [
      {
        "direction": "<string>",
        "propertyName": "<string>"
      }
    ]
  },
  "tags": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

code
string
required

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

Success

Search Merchandizing Rule

auditInfo
object
code
string | null

Unique identifier. Will be generated if not provided.

context
object

SearchMerchandizingRule Condition

description
string | null
isDisabled
boolean | null
name
string | null
ruleImpact
object

SearchMerchandizingRule Condition

tags
string[] | null